Author matrixise
Recipients Martin Teichmann, Martin.Teichmann, Tim.Graham, eric.snow, matrixise, ncoghlan, python-dev, serhiy.storchaka
Date 2016-10-18.12:12:33
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1476792753.44.0.39509184303.issue28214@psf.upfronthosting.co.za>
In-reply-to
Content
Serhiy, I have a failed test with test_capi. I have applied the patch from #28410 and set_name_chain_error_cause_2.patch. 

stephane@sg1 ~/s/p/cpython> ./python -m test test_capi
Run tests sequentially
0:00:00 [1/1] test_capi
test test_capi failed -- Traceback (most recent call last):
  File "/home/stephane/src/python/cpython/Lib/test/test_capi.py", line 221, in test_return_result_with_error
    br'Fatal Python error: a function returned a '
AssertionError: Regex didn't match: b'Fatal Python error: a function returned a result with an error set\\nValueError\\n\\nDuring handling of the above exception, another exception occurred:\\n\\nSystemError: <built-in function return_result_with_error> returned a result with an error set\\n\\nCurrent thread.*:\\n  File .*, line 6 in <module>' not found in b'Fatal Python error: a function returned a result with an error set\nValueError\n\nThe above exception was the direct cause of the following exception:\n\nSystemError: <built-in function return_result_with_error> returned a result with an error set\n\nCurrent thread 0x00007f5c560c3700 (most recent call first):\n  File "<string>", line 6 in <module>'

test_capi failed

1 test failed:
    test_capi

Total duration: 6 sec
Tests result: FAILURE
History
Date User Action Args
2016-10-18 12:12:33matrixisesetrecipients: + matrixise, ncoghlan, python-dev, eric.snow, serhiy.storchaka, Martin.Teichmann, Tim.Graham, Martin Teichmann
2016-10-18 12:12:33matrixisesetmessageid: <1476792753.44.0.39509184303.issue28214@psf.upfronthosting.co.za>
2016-10-18 12:12:33matrixiselinkissue28214 messages
2016-10-18 12:12:33matrixisecreate